View Issue Details

IDProjectCategoryView StatusLast Update
0004183SymmetricDS ProImprovementpublic2019-12-09 12:27
ReporterpmarzulloAssigned Topmarzullo 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.11.1 
Target Version3.11.2Fixed in Version3.11.2 
Summary0004183: Network Diagnostic additions to Bandwidth tests, testing upload and download using different sized payloads
Description100,000, 1,000,000, and 10,000,000 sized payloads for upload and download bandwidth testing.
Tagsperformance

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.11 aedd694f

2019-12-04 10:44:14

Philip Marzullo

Details Diff
0004183: Network Diagnostic additions to Bandwidth tests, testing upload
and download using different sized payloads

0004183
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/AbstractSymmetricEngine.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/IBandwidthService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/BandwidthService.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/BandwidthTestResults.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/ITransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/http/HttpTransportManager.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/transport/internal/InternalTransportManager.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/transport/MockTransportManager.java Diff File
mod - symmetric-core/src/test/java/org/jumpmind/symmetric/transport/http/HttpBandwidthBalancerTest.java Diff File
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/BandwidthSamplerUriHandler.java Diff File

SymmetricDS: 3.11 22b05dbb

2019-12-05 13:13:10

Philip Marzullo

Details Diff
0004183: Network Diagnostic additions to Bandwidth tests, testing upload
and download using different sized payloads

0004183
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/BandwidthService.java Diff File

Issue History

Date Modified Username Field Change
2019-12-04 10:35 pmarzullo New Issue
2019-12-04 10:35 pmarzullo Status new => assigned
2019-12-04 10:35 pmarzullo Assigned To => pmarzullo
2019-12-04 10:35 pmarzullo Tag Attached: performance
2019-12-04 11:00 Changeset attached => SymmetricDS 3.11 aedd694f
2019-12-05 10:59 pmarzullo Status assigned => resolved
2019-12-05 10:59 pmarzullo Resolution open => fixed
2019-12-05 10:59 pmarzullo Fixed in Version => 3.11.2
2019-12-05 14:00 Changeset attached => SymmetricDS 3.11 22b05dbb
2019-12-09 12:27 admin Status resolved => closed